phpLDAPadmin

# Class: Query

Source Location: /templates/3rdParty/pla/lib/Query.php

### Class Overview

    xmlTemplate
       |
       --Query

Query Class

### Variables

- $description
- $results

### Methods

- accept
- getAttrDisplayOrder
- getAttrSortOrder
- getDescription
- getDN
- getDNEncode
- isVisible
- setDN
- storeTemplate

### Inherited Variables

#### Class: xmlTemplate

xmlTemplate::$attributes
xmlTemplate::$filename
xmlTemplate::$id
xmlTemplate::$name
xmlTemplate::$readtime
xmlTemplate::$server_id
xmlTemplate::$type

### Inherited Methods

#### Class: xmlTemplate

xmlTemplate::__construct()
xmlTemplate::addAttribute()
  Add another attribute to this template
xmlTemplate::getAttribute()
  Get a specific Attribute
xmlTemplate::getAttributeNames()
  Get the attribute names
xmlTemplate::getAttrID()
  Get an attribute ID
xmlTemplate::getFileName()
  Get the Template filename.
xmlTemplate::getID()
  Return the template by ID
xmlTemplate::getName()
  Return the template name
xmlTemplate::getReadTime()
  Get the Template read time.
xmlTemplate::getServer()
  Return this LDAP Server object
xmlTemplate::getServerID()
  Return the LDAP server ID
xmlTemplate::getTitle()
  Get template title
xmlTemplate::getType()
  Return the template type
xmlTemplate::isAdminDisabled()
  May be overloaded in other classes
xmlTemplate::isType()
  Test if a template is of a type

### Class Details

[line 15]
Query Class
[ Top ]

### Class Variables

#### $description = ''

[line 16]

#### Tags:

access: | protected

Type: | mixed

[ Top ]

#### $results = array()

[line 17]

#### Tags:

access: | public

Type: | mixed

[ Top ]

### Class Methods

### method accept [line 123]

`void accept( )`

Accept will run the query and store the results in results()

#### Tags:

access: | public

[ Top ]

### method getAttrDisplayOrder [line 228]

`void getAttrDisplayOrder( )`

#### Tags:

access: | public

[ Top ]

### method getAttrSortOrder [line 206]

`void getAttrSortOrder( )`

#### Tags:

access: | public

[ Top ]

### method getDescription [line 276]

`void getDescription( )`

#### Tags:

access: | public

[ Top ]

### method getDN [line 191]

`void getDN( )`

This is temporary to get around objects that use a DN for rendering, for example jpegPhoto

#### Tags:

access: | public

[ Top ]

### method getDNEncode [line 198]

`void getDNEncode( [ $url = true])`

#### Tags:

access: | public

#### Parameters:

| $url |

[ Top ]

### method isVisible [line 269]

`boolean isVisible( )`

Test if the template is visible

#### Tags:

access: | public

[ Top ]

### method setDN [line 181]

`void setDN( $dn)`

This is temporary to get around objects that use a DN for rendering, for example jpegPhoto

#### Tags:

access: | public

#### Parameters:

| $dn |

[ Top ]

### method storeTemplate [line 24]

`void storeTemplate( xmldata $xmldata)`

Main processing to store the template.

#### Tags:

access: | protected

#### Parameters:

xmldata | $xmldata | Parsed xmldata from xml2array object

[ Top ]

Documentation generated on Tue, 22 Nov 2011 16:30:02 +0100 by phpDocumentor 1.4.1